Subject: Re: bug#30813: 26.0.91; flyspell does not recheck after transpose-chars

From: Aaron Jensen <[email-masked]>
Date: Wed, 14 Mar 2018 08:14:01 -0700

On Tue, Mar 13, 2018 at 10:59 PM, Eli Zaretskii <[email-masked]> wrote:
> Transposing words can create duplicate words, or fix word duplication, something
> that flyspell flags as well.

I see. There are lots of ways to break this--change the first instance
of the word in any way and the second word does not notice. It seems
like if that were to be addressed it would need to be something that
is command agnostic. Perhaps something like looking at the next word
to see if it is currently marked duplicate and if so rechecking.

In the meantime, how about the attached patch which addresses just
transpose-chars?